## NAME

CURLOPT_PATH_AS_IS - do not handle dot dot sequences

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PATH_AS_IS, long leaveit);

## DESCRIPTION

By setting the long leaveit to 1, to explicitly tell libcurl to not alter the given path before passing it on to the server.

This tells libcurl to NOT squash sequences of "/../" or "/./" that may exist in the URL's path part and that is supposed to be removed according to RFC 3986 section 5.2.4.

Some server implementations are known to (erroneously) require the dot dot sequences to remain in the path and some clients want to pass these on in order to try out server implementations.

By default libcurl will merge such sequences before using the path.

## DEFAULT

0

## PROTOCOLS

All

## EXAMPLE

    CURL *curl = curl_easy_init();
    if(curl) {
      curl_easy_setopt(curl, CURLOPT_URL, "http://example.com/../../etc/password");

      curl_easy_setopt(curl, CURLOPT_PATH_AS_IS, 1L);

      curl_easy_perform(curl);
    }

## AVAILABILITY

Aded in 7.42.0

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_STDERR, CURLOPT_DEBUGFUNCTION

This HTML page was made with roffit.